      program SRden ! BB Dec 01 2017.
c Schwarzschild radius and density as on the final.
      implicit real*8 (a-h,o-z)
      logical ltest
      parameter(iuo=6,G=6.7d-11,c=3.0d+08,rho=1.0d-27)
      parameter(y=365.d00*24.d00*3600.d0,xly=c*y) ! Year in [s], ly in [m].
      pi=acos(-1.d0)
      ltest=.true.
      ltest=.false.
      if(ltest) stop "SRden: ltest."
c
      R0=sqrt(3*c**2/(8*pi*G*rho))
      write(iuo,'(/," R0 [m]  =",1g12.3)') R0
      write(iuo,'(/," ly [m]  =",1g12.3)') xly
      R0=R0/xly
      write(iuo,'(/," R0 [ly] =",1g12.3,/)') R0
c
      stop "SRden: all done."
      end
